Class: Aws::Kafka::Types::CreateTopicResponse

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-kafka/lib/aws-sdk-kafka/types.rb

Overview

Response body for CreateTopic.

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#statusString

Returns:

  • (String)


1282
1283
1284
1285
1286
1287
1288
# File 'gems/aws-sdk-kafka/lib/aws-sdk-kafka/types.rb', line 1282

class CreateTopicResponse < Struct.new(
  :topic_arn,
  :topic_name,
  :status)
  SENSITIVE = []
  include Aws::Structure
end

#topic_arnString

Returns:

  • (String)


1282
1283
1284
1285
1286
1287
1288
# File 'gems/aws-sdk-kafka/lib/aws-sdk-kafka/types.rb', line 1282

class CreateTopicResponse < Struct.new(
  :topic_arn,
  :topic_name,
  :status)
  SENSITIVE = []
  include Aws::Structure
end

#topic_nameString

Returns:

  • (String)


1282
1283
1284
1285
1286
1287
1288
# File 'gems/aws-sdk-kafka/lib/aws-sdk-kafka/types.rb', line 1282

class CreateTopicResponse < Struct.new(
  :topic_arn,
  :topic_name,
  :status)
  SENSITIVE = []
  include Aws::Structure
end